windows 当你pip安装script等模块很坑之后

版权声明:本文为博主原创文章,遵循 CC 4.0 by-sa 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/Aaron23456/article/details/52169569

今天要想用我的python 装个keras。一言不合就来pip,直接pip install。然而当在安装到scripy的时候居然报错,说了一堆(mac 不会报错)。一看就是一个很难解决的问题,连谷歌都没人回答。

于是一言不合就下载anaconda,下载的时候发现它好在自己已经了很多常用的模块,但是又知道它自己有一个python,担心两个python,用起来极其不方便。还有两个python的切换。下载后,安装了,居然发现它真的是另外一个新的环境,有对应的目录,一看是2.7.12,我原来的是2.7.11.打开后,发现可以进入终端于是果断来一句

pip install keras.

因为已经装好了scripy 二话不说,就刷刷安装完了。

突然想起来如果能够有时候不需要就用这个python,有时候需要就用原来的python。要是能互相方便的切换就好了


于是在原有的eclipse中添加一个解释器(新的2.7.12),于是在新建项目的时候就可以随时选定是哪个python了。



展开阅读全文

没有更多推荐了,返回首页